/**************************************************
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign.
 * Released under LGPL 28.JAN.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/
#include <odbcinstext.h>

BOOL _odbcinst_SystemINI( char *pszFileName, BOOL bVerify )
{
	FILE			*hFile;

#ifdef SYSTEM_FILE_PATH
    sprintf( pszFileName, "%s/odbc.ini", SYSTEM_FILE_PATH );
#else
    strcpy( pszFileName, "/etc/odbc.ini" );
#endif
	
	if ( bVerify )
	{
		hFile = fopen( pszFileName, "r" );
		if ( hFile )
			fclose( hFile );
		else
			return FALSE;
	}

	return TRUE;
}

